Type to search.

Delete a trained model alias

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.13 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

This API deletes an existing model alias that refers to a trained model. If the model alias is missing or refers to a model other than the one identified by the model_id, this API returns an error.

Required privileges

Cluster privileges manage_ml

Path parameters

model_id string required

The trained model ID to which the model alias refers.

model_alias string required

The model alias to delete.

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.